Bug 842304 - useradd segfault
useradd segfault
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: shadow-utils (Show other bugs)
6.3
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Tomas Mraz
BaseOS QE Security Team
:
Depends On:
Blocks: 947775 947782 1159825
  Show dependency treegraph
 
Reported: 2012-07-23 08:23 EDT by Alex Sersen
Modified: 2016-01-29 03:55 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-28 11:36:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alex Sersen 2012-07-23 08:23:36 EDT
Description of problem:
SSIA

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. useradd test_asd
2.
3.
  
Actual results:
segfault

Expected results:
successful add user

Additional info:

# strace useradd test_asd
execve("/usr/sbin/useradd", ["useradd", "test_asd"], [/* 54 vars */]) = 0
brk(0)                                  = 0x7f850f6e8000
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f850e4d5000
access("/etc/ld.so.preload", R_OK)      = -1 ENOENT (No such file or directory)
open("/etc/ld.so.cache", O_RDONLY)      = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=74795, ...}) = 0
mmap(NULL, 74795, PROT_READ, MAP_PRIVATE, 3, 0) = 0x7f850e4c2000
close(3)                                = 0
open("/lib64/libaudit.so.1", O_RDONLY)  = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\260%\300\0041\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=115536, ...}) = 0
mmap(NULL, 2208304, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f850e09b000
mprotect(0x7f850e0b2000, 2093056, PROT_NONE) = 0
mmap(0x7f850e2b1000, 24576, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x16000) = 0x7f850e2b1000
close(3)                                = 0
open("/lib64/libselinux.so.1", O_RDONLY) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0PX\200\3630\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=124624, ...}) = 0
mmap(NULL, 2221912, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f850de7c000
mprotect(0x7f850de99000, 2093056, PROT_NONE) = 0
mmap(0x7f850e098000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x1c000) = 0x7f850e098000
mmap(0x7f850e09a000, 1880, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x7f850e09a000
close(3)                                = 0
open("/lib64/libacl.so.1", O_RDONLY)    = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\200\36@\3750\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=33816, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f850e4c1000
mmap(NULL, 2126416, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f850dc74000
mprotect(0x7f850dc7b000, 2093056, PROT_NONE) = 0
mmap(0x7f850de7a000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x6000) = 0x7f850de7a000
close(3)                                = 0
open("/lib64/libc.so.6", O_RDONLY)      = 3
read(3, "\177ELF\2\1\1\3\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\360\355\301\3610\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=1918016, ...}) = 0
mmap(NULL, 3741864, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f850d8e2000
mprotect(0x7f850da6b000, 2093056, PROT_NONE) = 0
mmap(0x7f850dc6a000, 20480, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x188000) = 0x7f850dc6a000
mmap(0x7f850dc6f000, 18600, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x7f850dc6f000
close(3)                                = 0
open("/lib64/libdl.so.2", O_RDONLY)     = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\340\r@\3620\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=22536, ...}) = 0
mmap(NULL, 2109696, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f850d6de000
mprotect(0x7f850d6e0000, 2097152, PROT_NONE) = 0
mmap(0x7f850d8e0000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x2000) = 0x7f850d8e0000
close(3)                                = 0
open("/lib64/libattr.so.1", O_RDONLY)   = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\200\23@\0021\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=21152, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f850e4c0000
mmap(NULL, 2113888, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f850d4d9000
mprotect(0x7f850d4dd000, 2093056, PROT_NONE) = 0
mmap(0x7f850d6dc000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x3000) = 0x7f850d6dc000
close(3)                                = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f850e4bf000
mmap(NULL, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f850e4bd000
arch_prctl(ARCH_SET_FS, 0x7f850e4bd7a0) = 0
mprotect(0x7f850d6dc000, 4096, PROT_READ) = 0
mprotect(0x7f850d8e0000, 4096, PROT_READ) = 0
mprotect(0x7f850dc6a000, 16384, PROT_READ) = 0
mprotect(0x7f850de7a000, 4096, PROT_READ) = 0
mprotect(0x7f850e098000, 4096, PROT_READ) = 0
mprotect(0x7f850e2b1000, 4096, PROT_READ) = 0
mprotect(0x7f850e6ef000, 4096, PROT_READ) = 0
mprotect(0x7f850e4d6000, 4096, PROT_READ) = 0
munmap(0x7f850e4c2000, 74795)           = 0
statfs("/selinux", {f_type=0xf97cff8c, f_bsize=4096, f_blocks=0, f_bfree=0, f_bavail=0, f_files=0, f_ffree=0, f_fsid={0, 0}, f_namelen=255, f_frsize=4096}) = 0
brk(0)                                  = 0x7f850f6e8000
brk(0x7f850f709000)                     = 0x7f850f709000
socket(PF_NETLINK, SOCK_RAW, 9)         = 3
fcntl(3, F_SETFD, FD_CLOEXEC)           = 0
open("/usr/lib/locale/locale-archive", O_RDONLY) = 4
fstat(4, {st_mode=S_IFREG|0644, st_size=99158576, ...}) = 0
mmap(NULL, 99158576, PROT_READ, MAP_PRIVATE, 4, 0) = 0x7f8507648000
close(4)                                = 0
open("/proc/sys/kernel/ngroups_max", O_RDONLY) = 4
read(4, "65536\n", 31)                  = 6
close(4)                                = 0
mmap(NULL, 528384, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f850e43c000
access("/etc/shadow", F_OK)             = 0
access("/etc/gshadow", F_OK)            = 0
open("/etc/default/useradd", O_RDONLY)  = 4
fstat(4, {st_mode=S_IFREG|0600, st_size=119, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f850e4d4000
read(4, "# useradd defaults file\nGROUP=10"..., 4096) = 119
socket(PF_FILE, SOCK_STREAM|SOCK_CLOEXEC|SOCK_NONBLOCK, 0) = 5
connect(5, {sa_family=AF_FILE, path="/var/run/nscd/socket"}, 110) = -1 ENOENT (No such file or directory)
close(5)                                = 0
socket(PF_FILE, SOCK_STREAM|SOCK_CLOEXEC|SOCK_NONBLOCK, 0) = 5
connect(5, {sa_family=AF_FILE, path="/var/run/nscd/socket"}, 110) = -1 ENOENT (No such file or directory)
close(5)                                = 0
open("/etc/nsswitch.conf", O_RDONLY)    = 5
fstat(5, {st_mode=S_IFREG|0644, st_size=1688, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f850e4d3000
read(5, "#\n# /etc/nsswitch.conf\n#\n# An ex"..., 4096) = 1688
read(5, "", 4096)                       = 0
close(5)                                = 0
munmap(0x7f850e4d3000, 4096)            = 0
open("/etc/ld.so.cache", O_RDONLY)      = 5
fstat(5, {st_mode=S_IFREG|0644, st_size=74795, ...}) = 0
mmap(NULL, 74795, PROT_READ, MAP_PRIVATE, 5, 0) = 0x7f850e429000
close(5)                                = 0
open("/lib64/libnss_files.so.2", O_RDONLY) = 5
read(5, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\360!\0\0\0\0\0\0"..., 832) = 832
fstat(5, {st_mode=S_IFREG|0755, st_size=65928, ...}) = 0
mmap(NULL, 2151824, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 5, 0) = 0x7f850743a000
mprotect(0x7f8507446000, 2097152, PROT_NONE) = 0
mmap(0x7f8507646000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 5, 0xc000) = 0x7f8507646000
close(5)                                = 0
mprotect(0x7f8507646000, 4096, PROT_READ) = 0
munmap(0x7f850e429000, 74795)           = 0
open("/etc/group", O_RDONLY|O_CLOEXEC)  = 5
fcntl(5, F_GETFD)                       = 0x1 (flags FD_CLOEXEC)
fstat(5, {st_mode=S_IFREG|0644, st_size=1007, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f850e4d3000
read(5, "root:x:0:\nbin:x:1:bin,daemon\ndae"..., 4096) = 1007
close(5)                                = 0
munmap(0x7f850e4d3000, 4096)            = 0
read(4, "", 4096)                       = 0
close(4)                                = 0
munmap(0x7f850e4d4000, 4096)            = 0
open("/etc/login.defs", O_RDONLY)       = 4
fstat(4, {st_mode=S_IFREG|0644, st_size=1816, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f850e4d4000
read(4, "#\n# Please note that the paramet"..., 4096) = 1816
read(4, "", 4096)                       = 0
close(4)                                = 0
munmap(0x7f850e4d4000, 4096)            = 0
socket(PF_FILE, SOCK_STREAM|SOCK_CLOEXEC|SOCK_NONBLOCK, 0) = 4
connect(4, {sa_family=AF_FILE, path="/var/run/nscd/socket"}, 110) = -1 ENOENT (No such file or directory)
close(4)                                = 0
socket(PF_FILE, SOCK_STREAM|SOCK_CLOEXEC|SOCK_NONBLOCK, 0) = 4
connect(4, {sa_family=AF_FILE, path="/var/run/nscd/socket"}, 110) = -1 ENOENT (No such file or directory)
close(4)                                = 0
open("/etc/passwd", O_RDONLY|O_CLOEXEC) = 4
fstat(4, {st_mode=S_IFREG|0644, st_size=252399, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f850e4d4000
read(4, "root:x:0:0:root:/root:/bin/bash\n"..., 4096) = 4096
close(4)                                = 0
munmap(0x7f850e4d4000, 4096)            = 0
open("/etc/passwd", O_RDONLY|O_CLOEXEC) = 4
fstat(4, {st_mode=S_IFREG|0644, st_size=252399, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f850e4d4000
read(4, "root:x:0:0:root:/root:/bin/bash\n"..., 4096) = 4096
close(4)                                = 0
munmap(0x7f850e4d4000, 4096)            = 0
open("/etc/passwd", O_RDONLY|O_CLOEXEC) = 4
fstat(4, {st_mode=S_IFREG|0644, st_size=252399, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f850e4d4000
read(4, "root:x:0:0:root:/root:/bin/bash\n"..., 4096) = 4096
read(4, "\343\200\253\343\224\265\340\250\267\342\255\225\343\224\260\343\240\265\345\224\212\343\200\253\343\224\265\340\250\271\342\255"..., 4096) = 4096
close(4)                                = 0
munmap(0x7f850e4d4000, 4096)            = 0
open("/etc/passwd", O_RDONLY|O_CLOEXEC) = 4
fstat(4, {st_mode=S_IFREG|0644, st_size=252399, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f850e4d4000
read(4, "root:x:0:0:root:/root:/bin/bash\n"..., 4096) = 4096
read(4, "\343\200\253\343\224\265\340\250\267\342\255\225\343\224\260\343\240\265\345\224\212\343\200\253\343\224\265\340\250\271\342\255"..., 4096) = 4096
read(4, "\200\253\343\210\271\340\251\244\342\255\225\343\244\260\346\224\262\345\224\212\343\200\253\343\210\271\340\251\246\342\255\225"..., 4096) = 4096
close(4)                                = 0
munmap(0x7f850e4d4000, 4096)            = 0
open("/etc/passwd", O_RDONLY|O_CLOEXEC) = 4
fstat(4, {st_mode=S_IFREG|0644, st_size=252399, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f850e4d4000
read(4, "root:x:0:0:root:/root:/bin/bash\n"..., 4096) = 4096
read(4, "\343\200\253\343\224\265\340\250\267\342\255\225\343\224\260\343\240\265\345\224\212\343\200\253\343\224\265\340\250\271\342\255"..., 4096) = 4096
read(4, "\200\253\343\210\271\340\251\244\342\255\225\343\244\260\346\224\262\345\224\212\343\200\253\343\210\271\340\251\246\342\255\225"..., 4096) = 4096
read(4, "\253\344\211\201\340\250\263\342\255\225\344\204\260\343\221\202\345\224\212\343\200\253\344\211\201\340\250\265\342\255\225\344"..., 4096) = 4096
read(4, "\343\215\203\340\250\271\342\255\225\344\214\260\346\204\263\345\224\212\343\200\253\343\215\203\340\251\242\342\255\225\344\214"..., 4096) = 4096
close(4)                                = 0
munmap(0x7f850e4d4000, 4096)            = 0
open("/etc/passwd", O_RDONLY|O_CLOEXEC) = 4
fstat(4, {st_mode=S_IFREG|0644, st_size=252399, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f850e4d4000
read(4, "root:x:0:0:root:/root:/bin/bash\n"..., 4096) = 4096
read(4, "\343\200\253\343\224\265\340\250\267\342\255\225\343\224\260\343\240\265\345\224\212\343\200\253\343\224\265\340\250\271\342\255"..., 4096) = 4096
read(4, "\200\253\343\210\271\340\251\244\342\255\225\343\244\260\346\224\262\345\224\212\343\200\253\343\210\271\340\251\246\342\255\225"..., 4096) = 4096
read(4, "\253\344\211\201\340\250\263\342\255\225\344\204\260\343\221\202\345\224\212\343\200\253\344\211\201\340\250\265\342\255\225\344"..., 4096) = 4096
read(4, "\343\215\203\340\250\271\342\255\225\344\214\260\346\204\263\345\224\212\343\200\253\343\215\203\340\251\242\342\255\225\344\214"..., 4096) = 4096
read(4, "\211\204\340\251\246\342\255\225\344\220\260\343\201\203\345\224\212\343\200\253\344\215\204\340\250\261\342\255\225\344\220\260"..., 4096) = 4096
read(4, "\206\340\250\265\342\255\225\344\230\260\343\230\264\345\224\212\343\200\253\343\221\206\340\250\267\342\255\225\344\230\260\343"..., 4096) = 4096
read(4, "\340\251\242\342\255\225\343\200\261\346\215\201\345\224\212\343\204\253\344\204\260\340\251\244\342\255\225\343\200\261\346\225"..., 4096) = 4096
read(4, "\250\261\342\255\225\343\235\204\343\211\203\345\224\212\344\220\253\344\214\267\340\250\263\342\255\225\343\235\204\343\221\203"..., 4096) = 4096
close(4)                                = 0
munmap(0x7f850e4d4000, 4096)            = 0
open("/etc/passwd", O_RDONLY|O_CLOEXEC) = 4
fstat(4, {st_mode=S_IFREG|0644, st_size=252399, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f850e4d4000
read(4, "root:x:0:0:root:/root:/bin/bash\n"..., 4096) = 4096
read(4, "\343\200\253\343\224\265\340\250\267\342\255\225\343\224\260\343\240\265\345\224\212\343\200\253\343\224\265\340\250\271\342\255"..., 4096) = 4096
read(4, "\200\253\343\210\271\340\251\244\342\255\225\343\244\260\346\224\262\345\224\212\343\200\253\343\210\271\340\251\246\342\255\225"..., 4096) = 4096
read(4, "\253\344\211\201\340\250\263\342\255\225\344\204\260\343\221\202\345\224\212\343\200\253\344\211\201\340\250\265\342\255\225\344"..., 4096) = 4096
read(4, "\343\215\203\340\250\271\342\255\225\344\214\260\346\204\263\345\224\212\343\200\253\343\215\203\340\251\242\342\255\225\344\214"..., 4096) = 4096
read(4, "\211\204\340\251\246\342\255\225\344\220\260\343\201\203\345\224\212\343\200\253\344\215\204\340\250\261\342\255\225\344\220\260"..., 4096) = 4096
read(4, "\206\340\250\265\342\255\225\344\230\260\343\230\264\345\224\212\343\200\253\343\221\206\340\250\267\342\255\225\344\230\260\343"..., 4096) = 4096
read(4, "\340\251\242\342\255\225\343\200\261\346\215\201\345\224\212\343\204\253\344\204\260\340\251\244\342\255\225\343\200\261\346\225"..., 4096) = 4096
read(4, "\250\261\342\255\225\343\235\204\343\211\203\345\224\212\344\220\253\344\214\267\340\250\263\342\255\225\343\235\204\343\221\203"..., 4096) = 4096
read(4, "\267\342\255\225\343\214\261\343\240\264\345\224\212\343\204\253\343\220\263\340\250\271\342\255\225\343\214\261\346\204\264\345"..., 4096) = 4096
read(4, "\342\255\225\343\220\261\346\225\203\345\224\212\343\204\253\344\214\264\340\251\246\342\255\225\343\220\261\343\201\204\345\224"..., 4096) = 4096
read(4, "\255\225\343\230\261\343\220\265\345\224\212\343\204\253\343\224\266\340\250\265\342\255\225\343\230\261\343\230\265\345\224\212"..., 4096) = 4096
read(4, "\225\343\234\261\346\205\204\345\224\212\343\204\253\344\220\267\340\251\242\342\255\225\343\234\261\346\215\204\345\224\212\343"..., 4096) = 4096
read(4, "\343\244\261\343\200\266\345\224\212\343\204\253\343\230\271\340\250\261\342\255\225\343\244\261\343\210\266\345\224\212\343\204"..., 4096) = 4096
read(4, "\210\261\343\230\263\345\224\212\343\204\253\343\215\202\340\250\267\342\255\225\344\210\261\343\240\263\345\224\212\343\204\253"..., 4096) = 4096
read(4, "\261\346\214\260\345\224\212\343\204\253\343\201\204\340\251\244\342\255\225\344\220\261\346\224\260\345\224\212\343\204\253\343"..., 4096) = 4096
read(4, "\343\210\271\345\224\212\343\204\253\343\245\205\340\250\263\342\255\225\344\224\261\343\220\271\345\224\212\343\204\253\343\245"..., 4096) = 4096
close(4)                                = 0
munmap(0x7f850e4d4000, 4096)            = 0
mmap(NULL, 135168, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f850e41b000
open("/etc/passwd", O_RDONLY|O_CLOEXEC) = 4
fstat(4, {st_mode=S_IFREG|0644, st_size=252399, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f850e4d4000
read(4, "root:x:0:0:root:/root:/bin/bash\n"..., 4096) = 4096
read(4, "\343\200\253\343\224\265\340\250\267\342\255\225\343\224\260\343\240\265\345\224\212\343\200\253\343\224\265\340\250\271\342\255"..., 4096) = 4096
read(4, "\200\253\343\210\271\340\251\244\342\255\225\343\244\260\346\224\262\345\224\212\343\200\253\343\210\271\340\251\246\342\255\225"..., 4096) = 4096
read(4, "\253\344\211\201\340\250\263\342\255\225\344\204\260\343\221\202\345\224\212\343\200\253\344\211\201\340\250\265\342\255\225\344"..., 4096) = 4096
read(4, "\343\215\203\340\250\271\342\255\225\344\214\260\346\204\263\345\224\212\343\200\253\343\215\203\340\251\242\342\255\225\344\214"..., 4096) = 4096
read(4, "\211\204\340\251\246\342\255\225\344\220\260\343\201\203\345\224\212\343\200\253\344\215\204\340\250\261\342\255\225\344\220\260"..., 4096) = 4096
read(4, "\206\340\250\265\342\255\225\344\230\260\343\230\264\345\224\212\343\200\253\343\221\206\340\250\267\342\255\225\344\230\260\343"..., 4096) = 4096
read(4, "\340\251\242\342\255\225\343\200\261\346\215\201\345\224\212\343\204\253\344\204\260\340\251\244\342\255\225\343\200\261\346\225"..., 4096) = 4096
read(4, "\250\261\342\255\225\343\235\204\343\211\203\345\224\212\344\220\253\344\214\267\340\250\263\342\255\225\343\235\204\343\221\203"..., 4096) = 4096
read(4, "\267\342\255\225\343\214\261\343\240\264\345\224\212\343\204\253\343\220\263\340\250\271\342\255\225\343\214\261\346\204\264\345"..., 4096) = 4096
read(4, "\342\255\225\343\220\261\346\225\203\345\224\212\343\204\253\344\214\264\340\251\246\342\255\225\343\220\261\343\201\204\345\224"..., 4096) = 4096
read(4, "\255\225\343\230\261\343\220\265\345\224\212\343\204\253\343\224\266\340\250\265\342\255\225\343\230\261\343\230\265\345\224\212"..., 4096) = 4096
read(4, "\225\343\234\261\346\205\204\345\224\212\343\204\253\344\220\267\340\251\242\342\255\225\343\234\261\346\215\204\345\224\212\343"..., 4096) = 4096
read(4, "\343\244\261\343\200\266\345\224\212\343\204\253\343\230\271\340\250\261\342\255\225\343\244\261\343\210\266\345\224\212\343\204"..., 4096) = 4096
read(4, "\210\261\343\230\263\345\224\212\343\204\253\343\215\202\340\250\267\342\255\225\344\210\261\343\240\263\345\224\212\343\204\253"..., 4096) = 4096
read(4, "\261\346\214\260\345\224\212\343\204\253\343\201\204\340\251\244\342\255\225\344\220\261\346\224\260\345\224\212\343\204\253\343"..., 4096) = 4096
read(4, "\343\210\271\345\224\212\343\204\253\343\245\205\340\250\263\342\255\225\344\224\261\343\220\271\345\224\212\343\204\253\343\245"..., 4096) = 4096
read(4, "\240\261\345\224\212\343\210\253\343\204\260\340\250\271\342\255\225\343\200\262\346\204\261\345\224\212\343\210\253\343\204\260"..., 4096) = 4096
read(4, "\260\345\224\212\344\204\253\343\200\270\340\251\246\342\255\225\343\241\201\343\200\261\345\224\212\344\204\253\343\204\270\340"..., 4096) = 4096
read(4, "\343\200\261\343\214\261\340\250\270\342\255\225\343\200\261\343\214\261\340\250\271\342\255\225\343\200\261\343\214\261\340\251"..., 4096) = 4096
read(4, "\210\263\340\251\244\342\255\225\343\200\261\343\210\263\340\251\245\342\255\225\343\200\261\343\210\263\340\251\246\342\255\225"..., 4096) = 4096
read(4, "\262\342\255\225\343\200\261\343\210\270\340\250\263\342\255\225\343\200\261\343\210\270\340\250\264\342\255\225\343\200\261\343"..., 4096) = 4096
read(4, "\343\210\261\343\234\260\340\250\270\342\255\225\343\210\261\343\234\260\340\250\271\342\255\225\343\210\261\343\234\260\340\251"..., 4096) = 4096
read(4, "\214\261\340\251\244\342\255\225\343\210\261\344\214\261\340\251\245\342\255\225\343\210\261\344\214\261\340\251\246\342\255\225"..., 4096) = 4096
read(4, "\262\342\255\225\343\210\261\343\210\263\340\250\263\342\255\225\343\210\261\343\210\263\340\250\264\342\255\225\343\210\261\343"..., 4096) = 4096
read(4, "\344\220\261\343\234\260\340\250\270\342\255\225\344\220\261\343\234\260\340\250\271\342\255\225\344\220\261\343\234\260\340\251"..., 4096) = 4096
read(4, "\214\261\340\251\244\342\255\225\344\220\261\344\214\261\340\251\245\342\255\225\344\220\261\344\214\261\340\251\246\342\255\225"..., 4096) = 4096
read(4, "\212\343\200\253\344\230\260\340\250\261\342\255\225\343\200\260\343\211\206\345\224\212\343\200\253\344\230\260\340\250\263\342"..., 4096) = 4096
read(4, "\343\200\253\344\214\263\340\250\271\342\255\225\343\214\260\344\205\203\345\224\212\343\200\253\344\214\263\340\251\202\342\255"..., 4096) = 4096
read(4, "\200\253\343\220\266\340\250\266\342\255\225\343\230\260\343\234\264\345\224\212\343\200\253\343\220\266\340\250\270\342\255\225"..., 4096) = 4096
read(4, "\253\343\210\267\340\250\271\342\255\225\343\234\262\344\204\262\345\224\212\343\210\253\343\210\267\340\251\202\342\255\225\343"..., 4096) = 4096
read(4, "\343\214\262\340\251\203\342\255\225\343\210\260\344\220\263\345\224\212\343\200\253\343\214\262\340\251\205\342\255\225\343\210"..., 4096) = 4096
read(4, "\204\267\340\251\246\342\255\225\343\234\260\343\201\202\345\224\212\343\200\253\344\210\267\340\250\261\342\255\225\343\234\260"..., 4096) = 4096
close(4)                                = 0
munmap(0x7f850e4d4000, 4096)            = 0
mremap(0x7f850e41b000, 135168, 266240, MREMAP_MAYMOVE) = 0x7f850e3da000
open("/etc/passwd", O_RDONLY|O_CLOEXEC) = 4
fstat(4, {st_mode=S_IFREG|0644, st_size=252399, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f850e43b000
read(4, "root:x:0:0:root:/root:/bin/bash\n"..., 4096) = 4096
read(4, "\343\200\253\343\224\265\340\250\267\342\255\225\343\224\260\343\240\265\345\224\212\343\200\253\343\224\265\340\250\271\342\255"..., 4096) = 4096
read(4, "\200\253\343\210\271\340\251\244\342\255\225\343\244\260\346\224\262\345\224\212\343\200\253\343\210\271\340\251\246\342\255\225"..., 4096) = 4096
read(4, "\253\344\211\201\340\250\263\342\255\225\344\204\260\343\221\202\345\224\212\343\200\253\344\211\201\340\250\265\342\255\225\344"..., 4096) = 4096
read(4, "\343\215\203\340\250\271\342\255\225\344\214\260\346\204\263\345\224\212\343\200\253\343\215\203\340\251\242\342\255\225\344\214"..., 4096) = 4096
read(4, "\211\204\340\251\246\342\255\225\344\220\260\343\201\203\345\224\212\343\200\253\344\215\204\340\250\261\342\255\225\344\220\260"..., 4096) = 4096
read(4, "\206\340\250\265\342\255\225\344\230\260\343\230\264\345\224\212\343\200\253\343\221\206\340\250\267\342\255\225\344\230\260\343"..., 4096) = 4096
read(4, "\340\251\242\342\255\225\343\200\261\346\215\201\345\224\212\343\204\253\344\204\260\340\251\244\342\255\225\343\200\261\346\225"..., 4096) = 4096
read(4, "\250\261\342\255\225\343\235\204\343\211\203\345\224\212\344\220\253\344\214\267\340\250\263\342\255\225\343\235\204\343\221\203"..., 4096) = 4096
read(4, "\267\342\255\225\343\214\261\343\240\264\345\224\212\343\204\253\343\220\263\340\250\271\342\255\225\343\214\261\346\204\264\345"..., 4096) = 4096
read(4, "\342\255\225\343\220\261\346\225\203\345\224\212\343\204\253\344\214\264\340\251\246\342\255\225\343\220\261\343\201\204\345\224"..., 4096) = 4096
read(4, "\255\225\343\230\261\343\220\265\345\224\212\343\204\253\343\224\266\340\250\265\342\255\225\343\230\261\343\230\265\345\224\212"..., 4096) = 4096
read(4, "\225\343\234\261\346\205\204\345\224\212\343\204\253\344\220\267\340\251\242\342\255\225\343\234\261\346\215\204\345\224\212\343"..., 4096) = 4096
read(4, "\343\244\261\343\200\266\345\224\212\343\204\253\343\230\271\340\250\261\342\255\225\343\244\261\343\210\266\345\224\212\343\204"..., 4096) = 4096
read(4, "\210\261\343\230\263\345\224\212\343\204\253\343\215\202\340\250\267\342\255\225\344\210\261\343\240\263\345\224\212\343\204\253"..., 4096) = 4096
read(4, "\261\346\214\260\345\224\212\343\204\253\343\201\204\340\251\244\342\255\225\344\220\261\346\224\260\345\224\212\343\204\253\343"..., 4096) = 4096
read(4, "\343\210\271\345\224\212\343\204\253\343\245\205\340\250\263\342\255\225\344\224\261\343\220\271\345\224\212\343\204\253\343\245"..., 4096) = 4096
read(4, "\240\261\345\224\212\343\210\253\343\204\260\340\250\271\342\255\225\343\200\262\346\204\261\345\224\212\343\210\253\343\204\260"..., 4096) = 4096
read(4, "\260\345\224\212\344\204\253\343\200\270\340\251\246\342\255\225\343\241\201\343\200\261\345\224\212\344\204\253\343\204\270\340"..., 4096) = 4096
read(4, "\343\200\261\343\214\261\340\250\270\342\255\225\343\200\261\343\214\261\340\250\271\342\255\225\343\200\261\343\214\261\340\251"..., 4096) = 4096
read(4, "\210\263\340\251\244\342\255\225\343\200\261\343\210\263\340\251\245\342\255\225\343\200\261\343\210\263\340\251\246\342\255\225"..., 4096) = 4096
read(4, "\262\342\255\225\343\200\261\343\210\270\340\250\263\342\255\225\343\200\261\343\210\270\340\250\264\342\255\225\343\200\261\343"..., 4096) = 4096
read(4, "\343\210\261\343\234\260\340\250\270\342\255\225\343\210\261\343\234\260\340\250\271\342\255\225\343\210\261\343\234\260\340\251"..., 4096) = 4096
read(4, "\214\261\340\251\244\342\255\225\343\210\261\344\214\261\340\251\245\342\255\225\343\210\261\344\214\261\340\251\246\342\255\225"..., 4096) = 4096
read(4, "\262\342\255\225\343\210\261\343\210\263\340\250\263\342\255\225\343\210\261\343\210\263\340\250\264\342\255\225\343\210\261\343"..., 4096) = 4096
read(4, "\344\220\261\343\234\260\340\250\270\342\255\225\344\220\261\343\234\260\340\250\271\342\255\225\344\220\261\343\234\260\340\251"..., 4096) = 4096
read(4, "\214\261\340\251\244\342\255\225\344\220\261\344\214\261\340\251\245\342\255\225\344\220\261\344\214\261\340\251\246\342\255\225"..., 4096) = 4096
read(4, "\212\343\200\253\344\230\260\340\250\261\342\255\225\343\200\260\343\211\206\345\224\212\343\200\253\344\230\260\340\250\263\342"..., 4096) = 4096
read(4, "\343\200\253\344\214\263\340\250\271\342\255\225\343\214\260\344\205\203\345\224\212\343\200\253\344\214\263\340\251\202\342\255"..., 4096) = 4096
read(4, "\200\253\343\220\266\340\250\266\342\255\225\343\230\260\343\234\264\345\224\212\343\200\253\343\220\266\340\250\270\342\255\225"..., 4096) = 4096
read(4, "\253\343\210\267\340\250\271\342\255\225\343\234\262\344\204\262\345\224\212\343\210\253\343\210\267\340\251\202\342\255\225\343"..., 4096) = 4096
read(4, "\343\214\262\340\251\203\342\255\225\343\210\260\344\220\263\345\224\212\343\200\253\343\214\262\340\251\205\342\255\225\343\210"..., 4096) = 4096
read(4, "\204\267\340\251\246\342\255\225\343\234\260\343\201\202\345\224\212\343\200\253\344\210\267\340\250\261\342\255\225\343\234\260"..., 4096) = 4096
read(4, "\271\340\250\265\342\255\225\343\244\260\343\231\204\345\224\212\343\200\253\344\220\271\340\250\267\342\255\225\343\244\260\343"..., 4096) = 4096
read(4, "\340\251\242\342\255\225\344\210\260\346\214\265\345\224\212\343\200\253\343\225\202\340\251\244\342\255\225\344\210\260\346\224"..., 4096) = 4096
read(4, "\250\261\342\255\225\344\214\260\343\211\205\345\224\212\343\200\253\344\225\203\340\250\263\342\255\225\344\214\260\343\221\205"..., 4096) = 4096
read(4, "\267\342\255\225\344\224\260\343\240\266\345\224\212\343\200\253\343\231\205\340\250\271\342\255\225\344\224\260\346\204\266\345"..., 4096) = 4096
read(4, "\342\255\225\344\230\260\346\225\205\345\224\212\343\200\253\344\225\206\340\251\246\342\255\225\344\230\260\343\201\206\345\224"..., 4096) = 4096
read(4, "\255\225\343\204\261\343\220\265\345\224\212\343\204\253\343\224\261\340\250\265\342\255\225\343\204\261\343\230\265\345\224\212"..., 4096) = 4096
read(4, "\225\343\210\261\346\204\266\345\224\212\343\204\253\343\230\262\340\251\242\342\255\225\343\210\261\346\214\266\345\224\212\343"..., 4096) = 4096
read(4, "\343\214\261\343\201\206\345\224\212\343\204\253\344\230\263\340\250\261\342\255\225\343\214\261\343\211\206\345\224\212\343\204"..., 4096) = 4096
read(4, "\224\261\343\230\267\345\224\212\343\204\253\343\234\265\340\250\267\342\255\225\343\224\261\343\240\267\345\224\212\343\204\253"..., 4096) = 4096
read(4, "\261\346\215\206\345\224\212\343\204\253\344\230\266\340\251\244\342\255\225\343\230\261\346\225\206\345\224\212\343\204\253\344"..., 4096) = 4096
read(4, "\343\210\270\345\224\212\343\204\253\343\240\270\340\250\263\342\255\225\343\240\261\343\220\270\345\224\212\343\204\253\343\240"..., 4096) = 4096
read(4, "\240\260\345\224\212\343\204\253\343\201\201\340\250\271\342\255\225\344\204\261\346\204\260\345\224\212\343\204\253\343\201\201"..., 4096) = 4096
read(4, "\204\345\224\212\343\204\253\344\221\202\340\251\246\342\255\225\344\210\261\343\201\205\345\224\212\343\204\253\344\225\202\340"..., 4096) = 4096
read(4, "\345\224\212\343\204\253\344\211\204\340\250\265\342\255\225\344\220\261\343\231\202\345\224\212\343\204\253\344\211\204\340\250"..., 4096) = 4096
read(4, "\224\212\343\204\253\343\215\206\340\251\242\342\255\225\344\230\261\346\214\263\345\224\212\343\204\253\343\215\206\340\251\244"..., 4096) = 4096
read(4, "\212\343\210\253\343\224\262\340\250\261\342\255\225\343\210\262\343\210\265\345\224\212\343\210\253\343\224\262\340\250\263\342"..., 4096) = 4096
read(4, "\343\200\261\343\234\260\340\250\266\342\255\225\343\200\261\343\234\260\340\250\267\342\255\225\343\200\261\343\234\260\340\250"..., 4096) = 4096
read(4, "\214\261\340\251\242\342\255\225\343\200\261\344\214\261\340\251\243\342\255\225\343\200\261\344\214\261\340\251\244\342\255\225"..., 4096) = 4096
read(4, "\260\342\255\225\343\200\261\343\204\264\340\250\261\342\255\225\343\200\261\343\204\264\340\250\262\342\255\225\343\200\261\343"..., 4096) = 4096
read(4, "\343\200\261\343\205\201\340\250\266\342\255\225\343\200\261\343\205\201\340\250\267\342\255\225\343\200\261\343\205\201\340\250"..., 4096) = 4096
read(4, "\200\261\340\251\242\342\255\225\343\210\261\343\200\261\340\251\243\342\255\225\343\210\261\343\200\261\340\251\244\342\255\225"..., 4096) = 4096
read(4, "\260\342\255\225\343\210\261\343\230\262\340\250\261\342\255\225\343\210\261\343\230\262\340\250\262\342\255\225\343\210\261\343"..., 4096) = 4096
read(4, "\343\210\261\344\210\263\340\250\266\342\255\225\343\210\261\344\210\263\340\250\267\342\255\225\343\210\261\344\210\263\340\250"..., 4096) = 4096
read(4, "\200\261\340\251\242\342\255\225\344\220\261\343\200\261\340\251\243\342\255\225\344\220\261\343\200\261\340\251\244\342\255\225"..., 4096) = 4096
read(4, "\253\343\204\260\340\250\263\342\255\225\343\200\260\343\220\261\345\224\212\343\200\253\343\204\260\340\250\265\342\255\225\343"..., 4096) = 4096
read(4, "\343\230\262\340\250\271\342\255\225\343\210\260\344\204\266\345\224\212\343\200\253\343\230\262\340\251\202\342\255\225\343\210"..., 4096) = 4096
read(4, "\234\264\340\250\262\342\255\225\343\220\260\343\214\267\345\224\212\343\200\253\343\234\264\340\250\264\342\255\225\343\220\260"..., 4096) = 4096
read(4, "\267\340\250\264\342\255\225\343\234\260\343\224\261\345\224\212\343\200\253\343\204\267\340\250\266\342\255\225\343\234\260\343"..., 4096) = 4096
read(4, "\340\250\262\342\255\225\343\234\262\343\215\205\345\224\212\343\210\253\344\224\267\340\250\264\342\255\225\343\234\262\343\225"..., 4096) = 2543
read(4, "", 4096)                       = 0
close(4)                                = 0
munmap(0x7f850e43b000, 4096)            = 0
open("/etc/group", O_RDONLY|O_CLOEXEC)  = 4
fstat(4, {st_mode=S_IFREG|0644, st_size=1007, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f850e43b000
read(4, "root:x:0:\nbin:x:1:bin,daemon\ndae"..., 4096) = 1007
read(4, "", 4096)                       = 0
close(4)                                = 0
munmap(0x7f850e43b000, 4096)            = 0
open("/etc/.pwd.lock", O_WRONLY|O_CREAT|O_CLOEXEC, 0600) = 4
fcntl(4, F_GETFD)                       = 0x1 (flags FD_CLOEXEC)
rt_sigaction(SIGALRM, {0x7f850d9cfe50, ~[], SA_RESTORER, 0x7f850d914920}, {SIG_DFL, [], 0}, 8) = 0
rt_sigprocmask(SIG_UNBLOCK, [ALRM], [], 8) = 0
alarm(15)                               = 0
fcntl(4, F_SETLKW, {type=F_WRLCK, whence=SEEK_SET, start=0, len=0}) = 0
alarm(0)                                = 15
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
rt_sigaction(SIGALRM, {SIG_DFL, [], SA_RESTORER, 0x7f850d914920}, NULL, 8) = 0
getpid()                                = 25409
open("/etc/passwd.25409", O_WRONLY|O_CREAT|O_EXCL, 0600) = 5
write(5, "25409\0", 6)                  = 6
close(5)                                = 0
link("/etc/passwd.25409", "/etc/passwd.lock") = -1 EEXIST (File exists)
open("/etc/passwd.lock", O_RDWR)        = 5
read(5, "25217\0", 31)                  = 6
close(5)                                = 0
kill(25217, SIG_0)                      = -1 ESRCH (No such process)
unlink("/etc/passwd.lock")              = 0
link("/etc/passwd.25409", "/etc/passwd.lock") = 0
stat("/etc/passwd.25409", {st_mode=S_IFREG|0600, st_size=6, ...}) = 0
unlink("/etc/passwd.25409")             = 0
open("/etc/passwd", O_RDWR)             = 5
fcntl(5, F_SETFD, FD_CLOEXEC)           = 0
gettid()                                = 25409
open("/proc/self/task/25409/attr/current", O_RDONLY) = 6
read(6, "unconfined_u:unconfined_r:unconf"..., 4095) = 54
close(6)                                = 0
fgetxattr(5, "security.selinux", "unconfined_u:object_r:etc_t:s0", 255) = 31
open("/selinux/mls", O_RDONLY)          = 6
read(6, "1", 19)                        = 1
close(6)                                = 0
socket(PF_FILE, SOCK_STREAM|SOCK_CLOEXEC, 0) = 6
connect(6, {sa_family=AF_FILE, path="/var/run/setrans/.setrans-unix"}, 110) = -1 ENOENT (No such file or directory)
close(6)                                = 0
fstat(5, {st_mode=S_IFREG|0644, st_size=252399, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f850e43b000
read(5, "root:x:0:0:root:/root:/bin/bash\n"..., 4096) = 4096
read(5, "\343\200\253\343\224\265\340\250\267\342\255\225\343\224\260\343\240\265\345\224\212\343\200\253\343\224\265\340\250\271\342\255"..., 4096) = 4096
read(5, "\200\253\343\210\271\340\251\244\342\255\225\343\244\260\346\224\262\345\224\212\343\200\253\343\210\271\340\251\246\342\255\225"..., 4096) = 4096
read(5, "\253\344\211\201\340\250\263\342\255\225\344\204\260\343\221\202\345\224\212\343\200\253\344\211\201\340\250\265\342\255\225\344"..., 4096) = 4096
read(5, "\343\215\203\340\250\271\342\255\225\344\214\260\346\204\263\345\224\212\343\200\253\343\215\203\340\251\242\342\255\225\344\214"..., 4096) = 4096
read(5, "\211\204\340\251\246\342\255\225\344\220\260\343\201\203\345\224\212\343\200\253\344\215\204\340\250\261\342\255\225\344\220\260"..., 4096) = 4096
read(5, "\206\340\250\265\342\255\225\344\230\260\343\230\264\345\224\212\343\200\253\343\221\206\340\250\267\342\255\225\344\230\260\343"..., 4096) = 4096
read(5, "\340\251\242\342\255\225\343\200\261\346\215\201\345\224\212\343\204\253\344\204\260\340\251\244\342\255\225\343\200\261\346\225"..., 4096) = 4096
read(5, "\250\261\342\255\225\343\235\204\343\211\203\345\224\212\344\220\253\344\214\267\340\250\263\342\255\225\343\235\204\343\221\203"..., 4096) = 4096
read(5, "\267\342\255\225\343\214\261\343\240\264\345\224\212\343\204\253\343\220\263\340\250\271\342\255\225\343\214\261\346\204\264\345"..., 4096) = 4096
read(5, "\342\255\225\343\220\261\346\225\203\345\224\212\343\204\253\344\214\264\340\251\246\342\255\225\343\220\261\343\201\204\345\224"..., 4096) = 4096
read(5, "\255\225\343\230\261\343\220\265\345\224\212\343\204\253\343\224\266\340\250\265\342\255\225\343\230\261\343\230\265\345\224\212"..., 4096) = 4096
read(5, "\225\343\234\261\346\205\204\345\224\212\343\204\253\344\220\267\340\251\242\342\255\225\343\234\261\346\215\204\345\224\212\343"..., 4096) = 4096
read(5, "\343\244\261\343\200\266\345\224\212\343\204\253\343\230\271\340\250\261\342\255\225\343\244\261\343\210\266\345\224\212\343\204"..., 4096) = 4096
read(5, "\210\261\343\230\263\345\224\212\343\204\253\343\215\202\340\250\267\342\255\225\344\210\261\343\240\263\345\224\212\343\204\253"..., 4096) = 4096
read(5, "\261\346\214\260\345\224\212\343\204\253\343\201\204\340\251\244\342\255\225\344\220\261\346\224\260\345\224\212\343\204\253\343"..., 4096) = 4096
read(5, "\343\210\271\345\224\212\343\204\253\343\245\205\340\250\263\342\255\225\344\224\261\343\220\271\345\224\212\343\204\253\343\245"..., 4096) = 4096
read(5, "\240\261\345\224\212\343\210\253\343\204\260\340\250\271\342\255\225\343\200\262\346\204\261\345\224\212\343\210\253\343\204\260"..., 4096) = 4096
read(5, "\260\345\224\212\344\204\253\343\200\270\340\251\246\342\255\225\343\241\201\343\200\261\345\224\212\344\204\253\343\204\270\340"..., 4096) = 4096
read(5, "\343\200\261\343\214\261\340\250\270\342\255\225\343\200\261\343\214\261\340\250\271\342\255\225\343\200\261\343\214\261\340\251"..., 4096) = 4096
read(5, "\210\263\340\251\244\342\255\225\343\200\261\343\210\263\340\251\245\342\255\225\343\200\261\343\210\263\340\251\246\342\255\225"..., 4096) = 4096
read(5, "\262\342\255\225\343\200\261\343\210\270\340\250\263\342\255\225\343\200\261\343\210\270\340\250\264\342\255\225\343\200\261\343"..., 4096) = 4096
read(5, "\343\210\261\343\234\260\340\250\270\342\255\225\343\210\261\343\234\260\340\250\271\342\255\225\343\210\261\343\234\260\340\251"..., 4096) = 4096
read(5, "\214\261\340\251\244\342\255\225\343\210\261\344\214\261\340\251\245\342\255\225\343\210\261\344\214\261\340\251\246\342\255\225"..., 4096) = 4096
read(5, "\262\342\255\225\343\210\261\343\210\263\340\250\263\342\255\225\343\210\261\343\210\263\340\250\264\342\255\225\343\210\261\343"..., 4096) = 4096
read(5, "\344\220\261\343\234\260\340\250\270\342\255\225\344\220\261\343\234\260\340\250\271\342\255\225\344\220\261\343\234\260\340\251"..., 4096) = 4096
brk(0x7f850f743000)                     = 0x7f850f743000
brk(0x7f850f72a000)                     = 0x7f850f72a000
read(5, "\214\261\340\251\244\342\255\225\344\220\261\344\214\261\340\251\245\342\255\225\344\220\261\344\214\261\340\251\246\342\255\225"..., 4096) = 4096
read(5, "\212\343\200\253\344\230\260\340\250\261\342\255\225\343\200\260\343\211\206\345\224\212\343\200\253\344\230\260\340\250\263\342"..., 4096) = 4096
read(5, "\343\200\253\344\214\263\340\250\271\342\255\225\343\214\260\344\205\203\345\224\212\343\200\253\344\214\263\340\251\202\342\255"..., 4096) = 4096
read(5, "\200\253\343\220\266\340\250\266\342\255\225\343\230\260\343\234\264\345\224\212\343\200\253\343\220\266\340\250\270\342\255\225"..., 4096) = 4096
read(5, "\253\343\210\267\340\250\271\342\255\225\343\234\262\344\204\262\345\224\212\343\210\253\343\210\267\340\251\202\342\255\225\343"..., 4096) = 4096
read(5, "\343\214\262\340\251\203\342\255\225\343\210\260\344\220\263\345\224\212\343\200\253\343\214\262\340\251\205\342\255\225\343\210"..., 4096) = 4096
read(5, "\204\267\340\251\246\342\255\225\343\234\260\343\201\202\345\224\212\343\200\253\344\210\267\340\250\261\342\255\225\343\234\260"..., 4096) = 4096
read(5, "\271\340\250\265\342\255\225\343\244\260\343\231\204\345\224\212\343\200\253\344\220\271\340\250\267\342\255\225\343\244\260\343"..., 4096) = 4096
read(5, "\340\251\242\342\255\225\344\210\260\346\214\265\345\224\212\343\200\253\343\225\202\340\251\244\342\255\225\344\210\260\346\224"..., 4096) = 4096
read(5, "\250\261\342\255\225\344\214\260\343\211\205\345\224\212\343\200\253\344\225\203\340\250\263\342\255\225\344\214\260\343\221\205"..., 4096) = 4096
read(5, "\267\342\255\225\344\224\260\343\240\266\345\224\212\343\200\253\343\231\205\340\250\271\342\255\225\344\224\260\346\204\266\345"..., 4096) = 4096
read(5, "\342\255\225\344\230\260\346\225\205\345\224\212\343\200\253\344\225\206\340\251\246\342\255\225\344\230\260\343\201\206\345\224"..., 4096) = 4096
read(5, "\255\225\343\204\261\343\220\265\345\224\212\343\204\253\343\224\261\340\250\265\342\255\225\343\204\261\343\230\265\345\224\212"..., 4096) = 4096
read(5, "\225\343\210\261\346\204\266\345\224\212\343\204\253\343\230\262\340\251\242\342\255\225\343\210\261\346\214\266\345\224\212\343"..., 4096) = 4096
read(5, "\343\214\261\343\201\206\345\224\212\343\204\253\344\230\263\340\250\261\342\255\225\343\214\261\343\211\206\345\224\212\343\204"..., 4096) = 4096
read(5, "\224\261\343\230\267\345\224\212\343\204\253\343\234\265\340\250\267\342\255\225\343\224\261\343\240\267\345\224\212\343\204\253"..., 4096) = 4096
read(5, "\261\346\215\206\345\224\212\343\204\253\344\230\266\340\251\244\342\255\225\343\230\261\346\225\206\345\224\212\343\204\253\344"..., 4096) = 4096
read(5, "\343\210\270\345\224\212\343\204\253\343\240\270\340\250\263\342\255\225\343\240\261\343\220\270\345\224\212\343\204\253\343\240"..., 4096) = 4096
read(5, "\240\260\345\224\212\343\204\253\343\201\201\340\250\271\342\255\225\344\204\261\346\204\260\345\224\212\343\204\253\343\201\201"..., 4096) = 4096
read(5, "\204\345\224\212\343\204\253\344\221\202\340\251\246\342\255\225\344\210\261\343\201\205\345\224\212\343\204\253\344\225\202\340"..., 4096) = 4096
read(5, "\345\224\212\343\204\253\344\211\204\340\250\265\342\255\225\344\220\261\343\231\202\345\224\212\343\204\253\344\211\204\340\250"..., 4096) = 4096
read(5, "\224\212\343\204\253\343\215\206\340\251\242\342\255\225\344\230\261\346\214\263\345\224\212\343\204\253\343\215\206\340\251\244"..., 4096) = 4096
read(5, "\212\343\210\253\343\224\262\340\250\261\342\255\225\343\210\262\343\210\265\345\224\212\343\210\253\343\224\262\340\250\263\342"..., 4096) = 4096
read(5, "\343\200\261\343\234\260\340\250\266\342\255\225\343\200\261\343\234\260\340\250\267\342\255\225\343\200\261\343\234\260\340\250"..., 4096) = 4096
read(5, "\214\261\340\251\242\342\255\225\343\200\261\344\214\261\340\251\243\342\255\225\343\200\261\344\214\261\340\251\244\342\255\225"..., 4096) = 4096
read(5, "\260\342\255\225\343\200\261\343\204\264\340\250\261\342\255\225\343\200\261\343\204\264\340\250\262\342\255\225\343\200\261\343"..., 4096) = 4096
read(5, "\343\200\261\343\205\201\340\250\266\342\255\225\343\200\261\343\205\201\340\250\267\342\255\225\343\200\261\343\205\201\340\250"..., 4096) = 4096
read(5, "\200\261\340\251\242\342\255\225\343\210\261\343\200\261\340\251\243\342\255\225\343\210\261\343\200\261\340\251\244\342\255\225"..., 4096) = 4096
read(5, "\260\342\255\225\343\210\261\343\230\262\340\250\261\342\255\225\343\210\261\343\230\262\340\250\262\342\255\225\343\210\261\343"..., 4096) = 4096
read(5, "\343\210\261\344\210\263\340\250\266\342\255\225\343\210\261\344\210\263\340\250\267\342\255\225\343\210\261\344\210\263\340\250"..., 4096) = 4096
read(5, "\200\261\340\251\242\342\255\225\344\220\261\343\200\261\340\251\243\342\255\225\344\220\261\343\200\261\340\251\244\342\255\225"..., 4096) = 4096
read(5, "\253\343\204\260\340\250\263\342\255\225\343\200\260\343\220\261\345\224\212\343\200\253\343\204\260\340\250\265\342\255\225\343"..., 4096) = 4096
read(5, "\343\230\262\340\250\271\342\255\225\343\210\260\344\204\266\345\224\212\343\200\253\343\230\262\340\251\202\342\255\225\343\210"..., 4096) = 4096
mmap(NULL, 245760, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f850e39e000
brk(0x7f850f710000)                     = 0x7f850f710000
read(5, "\234\264\340\250\262\342\255\225\343\220\260\343\214\267\345\224\212\343\200\253\343\234\264\340\250\264\342\255\225\343\220\260"..., 4096) = 4096
mremap(0x7f850e39e000, 245760, 249856, MREMAP_MAYMOVE) = 0x7f850e361000
read(5, "\267\340\250\264\342\255\225\343\234\260\343\224\261\345\224\212\343\200\253\343\204\267\340\250\266\342\255\225\343\234\260\343"..., 4096) = 4096
mremap(0x7f850e361000, 249856, 253952, MREMAP_MAYMOVE) = 0x7f850e361000
read(5, "\340\250\262\342\255\225\343\234\262\343\215\205\345\224\212\343\210\253\344\224\267\340\250\264\342\255\225\343\234\262\343\225"..., 4096) = 2543
mremap(0x7f850e361000, 253952, 258048, MREMAP_MAYMOVE) = 0x7f850e361000
mmap(NULL, 253952, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f850e323000
read(5, "", 4096)                       = 0
munmap(0x7f850e361000, 258048)          = 0
open("/etc/shadow.25409", O_WRONLY|O_CREAT|O_EXCL, 0600) = 6
write(6, "25409\0", 6)                  = 6
close(6)                                = 0
link("/etc/shadow.25409", "/etc/shadow.lock") = -1 EEXIST (File exists)
open("/etc/shadow.lock", O_RDWR)        = 6
read(6, "25217\0", 31)                  = 6
close(6)                                = 0
kill(25217, SIG_0)                      = -1 ESRCH (No such process)
unlink("/etc/shadow.lock")              = 0
link("/etc/shadow.25409", "/etc/shadow.lock") = 0
stat("/etc/shadow.25409", {st_mode=S_IFREG|0600, st_size=6, ...}) = 0
unlink("/etc/shadow.25409")             = 0
open("/etc/shadow", O_RDWR)             = 6
fcntl(6, F_SETFD, FD_CLOEXEC)           = 0
gettid()                                = 25409
open("/proc/self/task/25409/attr/current", O_RDONLY) = 7
read(7, "unconfined_u:unconfined_r:unconf"..., 4095) = 54
close(7)                                = 0
fgetxattr(6, "security.selinux", "unconfined_u:object_r:etc_t:s0", 255) = 31
fstat(6, {st_mode=S_IFREG, st_size=126518, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f850e4d4000
read(6, "root:$6$r1gtJ/HUycKLFZ/g$bJjn6nv"..., 4096) = 4096
read(6, "\344\211\206\343\240\261\345\224\212\344\230\253\343\205\202\340\250\271\342\255\225\344\211\206\346\204\261\345\224\212\344\230"..., 4096) = 4096
read(6, "\244\260\346\224\266\345\224\212\343\200\253\343\230\271\340\251\246\342\255\225\343\244\260\343\200\267\345\224\212\343\200\253"..., 4096) = 4096
read(6, "\260\343\221\206\345\224\212\343\200\253\344\231\201\340\250\265\342\255\225\344\204\260\343\231\206\345\224\212\343\200\253\344"..., 4096) = 4096
read(6, "\346\204\267\345\224\212\343\200\253\343\235\203\340\251\242\342\255\225\344\214\260\346\214\267\345\224\212\343\200\253\343\235"..., 4096) = 4096
read(6, "\200\260\345\224\212\343\200\253\343\201\205\340\250\261\342\255\225\344\224\260\343\210\260\345\224\212\343\200\253\343\201\205"..., 4096) = 4096
read(6, "\270\345\224\212\343\200\253\343\241\206\340\250\267\342\255\225\344\230\260\343\240\270\345\224\212\343\200\253\343\241\206\340"..., 4096) = 4096
read(6, "\345\224\212\343\204\253\344\224\260\340\251\244\342\255\225\343\200\261\346\225\205\345\224\212\343\204\253\344\224\260\340\251"..., 4096) = 4096
read(6, "\224\212\343\204\253\343\200\262\340\250\263\342\255\225\343\210\261\343\220\260\345\224\212\343\204\253\343\200\262\340\250\265"..., 4096) = 4096
read(6, "\212\343\204\253\343\240\263\340\250\271\342\255\225\343\214\261\346\204\270\345\224\212\343\204\253\343\240\263\340\251\242\342"..., 4096) = 4096
read(6, "\343\204\253\343\200\265\340\251\246\342\255\225\343\224\261\343\200\261\345\224\212\343\204\253\343\204\265\340\250\261\342\255"..., 4096) = 4096
read(6, "\204\253\343\244\266\340\250\265\342\255\225\343\230\261\343\230\271\345\224\212\343\204\253\343\244\266\340\250\267\342\255\225"..., 4096) = 4096
read(6, "\253\343\204\270\340\251\242\342\255\225\343\240\261\346\214\261\345\224\212\343\204\253\343\204\270\340\251\244\342\255\225\343"..., 4096) = 4096
read(6, "\344\204\271\340\250\261\342\255\225\343\244\261\343\211\201\345\224\212\343\204\253\344\204\271\340\250\263\342\255\225\343\244"..., 4096) = 4096
read(6, "\235\202\340\250\267\342\255\225\344\210\261\343\240\267\345\224\212\343\204\253\343\235\202\340\250\271\342\255\225\344\210\261"..., 4096) = 4096
read(6, "\204\340\251\244\342\255\225\344\220\261\346\224\264\345\224\212\343\204\253\343\221\204\340\251\246\342\255\225\344\220\261\343"..., 4096) = 4096
read(6, "\340\250\263\342\255\225\344\224\261\343\221\204\345\224\212\343\204\253\344\221\205\340\250\265\342\255\225\344\224\261\343\231"..., 4096) = 4096
read(6, "\250\271\342\255\225\343\200\262\346\204\265\345\224\212\343\210\253\343\224\260\340\251\242\342\255\225\343\200\262\346\214\265"..., 4096) = 4096
read(6, "\242\342\255\225\343\200\261\343\204\260\340\251\243\342\255\225\343\200\261\343\204\260\340\251\244\342\255\225\343\200\261\343"..., 4096) = 4096
read(6, "\343\200\261\343\234\261\340\250\261\342\255\225\343\200\261\343\234\261\340\250\262\342\255\225\343\200\261\343\234\261\340\250"..., 4096) = 4096
read(6, "\244\263\340\250\266\342\255\225\343\200\261\343\244\263\340\250\267\342\255\225\343\200\261\343\244\263\340\250\270\342\255\225"..., 4096) = 4096
read(6, "\242\342\255\225\343\200\261\343\224\270\340\251\243\342\255\225\343\200\261\343\224\270\340\251\244\342\255\225\343\200\261\343"..., 4096) = 4096
read(6, "\343\210\261\344\210\260\340\250\261\342\255\225\343\210\261\344\210\260\340\250\262\342\255\225\343\210\261\344\210\260\340\250"..., 4096) = 4096
read(6, "\200\262\340\250\266\342\255\225\343\210\261\343\200\262\340\250\267\342\255\225\343\210\261\343\200\262\340\250\270\342\255\225"..., 4096) = 4096
read(6, "\242\342\255\225\343\210\261\343\224\263\340\251\243\342\255\225\343\210\261\343\224\263\340\251\244\342\255\225\343\210\261\343"..., 4096) = 4096
read(6, "\344\220\261\344\210\260\340\250\261\342\255\225\344\220\261\344\210\260\340\250\262\342\255\225\344\220\261\344\210\260\340\250"..., 4096) = 4096
read(6, "\200\262\340\250\266\342\255\225\344\220\261\343\200\262\340\250\267\342\255\225\344\220\261\343\200\262\340\250\270\342\255\225"..., 4096) = 4096
read(6, "\225\343\204\260\343\210\263\345\224\212\343\200\253\343\214\261\340\250\263\342\255\225\343\204\260\343\220\263\345\224\212\343"..., 4096) = 4096
read(6, "\343\220\260\344\210\260\345\224\212\343\200\253\343\200\264\340\251\203\342\255\225\343\220\260\344\220\260\345\224\212\343\200"..., 4096) = 4096
read(6, "\230\260\343\244\271\345\224\212\343\200\253\343\244\266\340\251\201\342\255\225\343\230\260\344\210\271\345\224\212\343\200\253"..., 4096) = 4096
read(6, "\262\343\210\267\345\224\212\343\210\253\343\234\267\340\250\263\342\255\225\343\234\262\343\220\267\345\224\212\343\210\253\343"..., 4096) = 3638
brk(0x7f850f74f000)                     = 0x7f850f74f000
--- SIGSEGV (Segmentation fault) @ 0 (0) ---
+++ killed by SIGSEGV (core dumped) +++
Segmentation fault (core dumped)
Comment 2 Alex Sersen 2012-07-23 08:24:59 EDT
Version of package
# rpm -qa shadow-utils
shadow-utils-4.1.4.2-13.el6.x86_64
Comment 3 udtduetl 2012-07-30 11:01:25 EDT
Hi,
I'm unable to reproduce this behavior. Is this happening only when adding user named test_asd? Is you RAM ok? Aren't /etc/passwd and /etc/shadow files corrupted?
Could you please provide more information?
1. /etc/login.defs if not default
2. /etc/libuser.conf if not default
3. /etc/default/useradd if not default
4. md5sum `which useradd`
5. pwck -r
6. some logs when this happens would be helpful (if available)

Thanks,
Milan Bartos
Comment 4 Tomas Mraz 2012-08-06 05:28:47 EDT
From the strace it looks like the /etc/shadow file is severely corrupted. Probably the useradd code that handles reading it is not fully safe. However as the /etc/shadow should not be writable by anyone else than root (and setuid helpers) the segfault is probably not a security issue. What would be more interesting to find out why the file is corrupted.
Comment 7 RHEL Product and Program Management 2012-09-07 01:25:55 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.
Comment 12 RHEL Product and Program Management 2016-01-28 11:36:04 EST
Development Management has reviewed and declined this request.
You may appeal this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.